For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add Product to Cart

This API call will add the requested quantity to any existing quantities that are in the cart for the same product.

zapiAddProductToCart

POST https://{yourdomainname}.zaui.net/zapi/

Request Body

Name
Type
Description

zapiToken*

integer

Token that must be used for a reseller to communicate with the supplier system.

methodName*

string

The method being called.

zapiUserId*

integer

Generated by the supplier system when a new contact is created.

zapiAccountId*

integer

Generated by the supplier system.

linkedPackageId

integer

Optional parameters for linking a product to an individual package. Required for percentage-based products.

productId*

integer

ID of the product.

cartId*

integer

ID of the current cart session to add the activity to.

linkedActivityId

integer

Optional parameters for linking a product to an individual activity. Required for percentage-based products.

quantity*

integer

How many of each product to add to the card

<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiAddProductToCart</methodName>
        <cart>
            <cartId>3b1fbe9bb6937d2932c8535217302be3</cartId>
            <customers/>
            <activities/>
            <products>
                <product>
                    <attributeId>33</attributeId>
                    <productType>
                        <![CDATA[Flat]]>
                    </productType>
                    <productId>6</productId>
                    <productClass>1</productClass>
                    <cartItemId>33</cartItemId>
                    <packageId>0</packageId>
                    <packageName/>
                    <productName>
                        <![CDATA[Ski Poles]]>
                    </productName>
                    <quantity>2.00</quantity>
                    <price>$5.00</price>
                    <total>$10.00</total>
                    <inventoryRemainsAvailable>true</inventoryRemainsAvailable>
                </product>
            </products>
            <remainingBalance>
                <balance>$10.50</balance>
            </remainingBalance>
            <cartTotals>
                <bookingNumber>0</bookingNumber>
                <modifyBookingNumber>0</modifyBookingNumber>
                <bookingSourcedOnline/>
                <activityTotal>$0.00</activityTotal>
                <activityTax>$0.00</activityTax>
                <productTotal>$10.00</productTotal>
                <productTax>$0.50</productTax>
                <packageTotal>$0.00</packageTotal>
                <activitySurplusFees>$0.00</activitySurplusFees>
                <guestFee>$0.00</guestFee>
                <surchargeTotal>$0.00</surchargeTotal>
                <perPersonTax>$0.00</perPersonTax>
                <total>$10.00</total>
                <tax>$0.50</tax>
                <taxUnrounded>$0.50</taxUnrounded>
                <totalIncludingTax>$10.50</totalIncludingTax>
                <totalNetAmount>$0.00</totalNetAmount>
                <zauiMerchantFee>$0.58</zauiMerchantFee>
                <packageTotal_formatted>$0.00</packageTotal_formatted>
                <activityTotal_formatted>$0.00</activityTotal_formatted>
                <productTotal_formatted>$10.00</productTotal_formatted>
                <subtotal_formatted>$10.00</subtotal_formatted>
                <tax_formatted>$0.50</tax_formatted>
                <totalIncludingTax_formatted>$10.50</totalIncludingTax_formatted>
                <totalNetAmount_formatted>$0.00</totalNetAmount_formatted>
                <taxes>
                    <tax>
                        <taxDisplayName>GST</taxDisplayName>
                        <taxAmount>0.5</taxAmount>
                        <taxAmount_formatted>$0.50</taxAmount_formatted>
                    </tax>
                </taxes>
            </cartTotals>
        </cart>
        <currencies/>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage>
            <![CDATA[Added 2]]>
        </methodErrorMessage>
    </methodResponse>
</response>

For percentage-based products, linkage to a package or activity will be required. This will also automatically determine the product price when it’s a percentage.

Last updated

Was this helpful?